## hiredis 0.10.0

=== Makefile ===
# Hiredis Makefile
# Copyright (C) 2010 Salvatore Sanfilippo <antirez at gmail dot com>
# This file is released under the BSD license, see the COPYING file

OBJ=net.o hiredis.o sds.o async.o
BINS=hiredis-example hiredis-test
LIBNAME=libhiredis

uname_S := $(shell sh -c 'uname -s 2>/dev/null || echo not')
OPTIMIZATION?=-O3
ifeq ($(uname_S),SunOS)
  CFLAGS?=$(OPTIMIZATION) -fPIC -Wall -W -D__EXTENSIONS__ -D_XPG6 $(ARCH) $(PROF)
  CCLINK?=-ldl -lnsl -lsocket -lm -lpthread
  LDFLAGS?=-L.
  DYLIBSUFFIX=so
  STLIBSUFFIX=a
  DYLIBNAME?=$(LIBNAME).$(DYLIBSUFFIX)
  DYLIB_MAKE_CMD?=$(CC) -G -o $(DYLIBNAME)
  STLIBNAME?=$(LIBNAME).$(STLIBSUFFIX)
  STLIB_MAKE_CMD?=ar rcs $(STLIBNAME)
else
ifeq ($(uname_S),Darwin)
  CFLAGS?=$(OPTIMIZATION) -fPIC -Wall -W -Wstrict-prototypes -Wwrite-strings $(ARCH) $(PROF)
  CCLINK?=-lm -pthread
  LDFLAGS?=-L.
  OBJARCH?=-arch i386 -arch x86_64
  DYLIBSUFFIX=dylib
  STLIBSUFFIX=a
  DYLIBNAME?=$(LIBNAME).$(DYLIBSUFFIX)
  DYLIB_MAKE_CMD?=libtool -dynamic -o $(DYLIBNAME) -lm $(DEBUG) -
  STLIBNAME?=$(LIBNAME).$(STLIBSUFFIX)
  STLIB_MAKE_CMD?=libtool -static -o $(STLIBNAME) -
else
  CFLAGS?=$(OPTIMIZATION) -fPIC -Wall -W -Wstrict-prototypes -Wwrite-strings $(ARCH) $(PROF)
  CCLINK?=-lm -pthread
  LDFLAGS?=-L.
  DYLIBSUFFIX=so
  STLIBSUFFIX=a
  DYLIBNAME?=$(LIBNAME).$(DYLIBSUFFIX)
  DYLIB_MAKE_CMD?=gcc -shared -Wl,-soname,$(DYLIBNAME) -o $(DYLIBNAME)
  STLIBNAME?=$(LIBNAME).$(STLIBSUFFIX)
  STLIB_MAKE_CMD?=ar rcs $(STLIBNAME)
endif
endif

CCOPT= $(CFLAGS) $(CCLINK)
DEBUG?= -g -ggdb

PREFIX?=/usr/local
INCLUDE_PATH?=include/hiredis
LIBRARY_PATH?=lib
INSTALL_INCLUDE_PATH= $(PREFIX)/$(INCLUDE_PATH)
INSTALL_LIBRARY_PATH= $(PREFIX)/$(LIBRARY_PATH)
INSTALL= cp -a

all: $(DYLIBNAME) $(BINS)

# Deps (use make dep to generate this)
net.o: net.c fmacros.h net.h hiredis.h
async.o: async.c async.h hiredis.h sds.h dict.c dict.h
example.o: example.c hiredis.h
hiredis.o: hiredis.c fmacros.h hiredis.h net.h sds.h
sds.o: sds.c sds.h
test.o: test.c hiredis.h

$(DYLIBNAME): $(OBJ)
	$(DYLIB_MAKE_CMD) $(OBJ)

$(STLIBNAME): $(OBJ)
	$(STLIB_MAKE_CMD) $(OBJ)

dynamic: $(DYLIBNAME)
static: $(STLIBNAME)

# Binaries:
hiredis-example-libevent: example-libevent.c adapters/libevent.h $(STLIBNAME)
	$(CC) -o $@ $(CCOPT) $(DEBUG) $(LDFLAGS) $(STLIBNAME) example-libevent.c -levent

hiredis-example-libev: example-libev.c adapters/libev.h $(STLIBNAME)
	$(CC) -o $@ $(CCOPT) $(DEBUG) $(LDFLAGS) $(STLIBNAME) example-libev.c -lev

ifndef AE_DIR
hiredis-example-ae:
	@echo "Please specify AE_DIR (e.g. <redis repository>/src)"
	@false
else
hiredis-example-ae: example-ae.c adapters/ae.h $(STLIBNAME)
	$(CC) -o $@ $(CCOPT) $(DEBUG) -I$(AE_DIR) $(LDFLAGS) $(STLIBNAME) example-ae.c $(AE_DIR)/ae.o $(AE_DIR)/zmalloc.o
endif

hiredis-%: %.o $(STLIBNAME)
	$(CC) -o $@ $(CCOPT) $(DEBUG) $(LDFLAGS) $(STLIBNAME) $<

test: hiredis-test
	./hiredis-test

.c.o:
	$(CC) -std=c99 -pedantic -c $(CFLAGS) $(OBJARCH) $(DEBUG) $(COMPILE_TIME) $<

clean:
	rm -rf $(DYLIBNAME) $(STLIBNAME) $(BINS) hiredis-example* *.o *.gcda *.gcno *.gcov

dep:
	$(CC) -MM *.c

install: $(DYLIBNAME) $(STLIBNAME)
	mkdir -p $(INSTALL_INCLUDE_PATH) $(INSTALL_LIBRARY_PATH)
	$(INSTALL) hiredis.h async.h adapters $(INSTALL_INCLUDE_PATH)
	$(INSTALL) $(DYLIBNAME) $(STLIBNAME) $(INSTALL_LIBRARY_PATH)

32bit:
	@echo ""
	@echo "WARNING: if it fails under Linux you probably need to install libc6-dev-i386"
	@echo ""
	$(MAKE) ARCH="-m32"

gprof:
	$(MAKE) PROF="-pg"

gcov:
	$(MAKE) PROF="-fprofile-arcs -ftest-coverage"

noopt:
	$(MAKE) OPTIMIZATION=""

=== debian/changelog ===
hiredis (0.10.0-1) unstable; urgency=low

  * Initial release (Closes: #612601)

 -- Alessandro Ghedini <al3xbio@gmail.com>  Sun, 01 May 2011 21:09:51 +0200

=== debian/control ===
Source: hiredis
Priority: optional
Maintainer: Alessandro Ghedini <al3xbio@gmail.com>
Build-Depends: debhelper (>= 7), redis-server
Standards-Version: 3.9.2
Section: libs
Homepage: https://github.com/antirez/hiredis
Vcs-Git: git://git.debian.org/collab-maint/hiredis.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/hiredis.git;a=summary

Package: libhiredis-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libhiredis0 (= ${binary:Version})
Description: Minimalistic C client library for Redis (development files)
 Hiredis is a minimalistic C client library for the Redis database. It is
 minimalistic because it just adds minimal support for the protocol, but
 at the same time it uses an high level printf-alike API in order to make
 it much higher level than otherwise suggested by its minimal code base
 and the lack of explicit bindings for every Redis command.
 .
 Apart from supporting sending commands and receiving replies, it comes
 with a reply parser that is decoupled from the I/O layer. It is a stream
 parser designed for easy reusability, which can for instance be used in
 higher level language bindings for efficient reply parsing.
 .
 Hiredis only supports the binary-safe Redis protocol, so you can use it
 with any Redis version >= 1.2.0.
 .
 The library comes with multiple APIs. There is the synchronous API, the
 asynchronous API and the reply parsing API.
 .
 This package provides the development file for libhiredis.

Package: libhiredis0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Minimalistic C client library for Redis
 Hiredis is a minimalistic C client library for the Redis database. It is
 minimalistic because it just adds minimal support for the protocol, but
 at the same time it uses an high level printf-alike API in order to make
 it much higher level than otherwise suggested by its minimal code base
 and the lack of explicit bindings for every Redis command.
 .
 Apart from supporting sending commands and receiving replies, it comes
 with a reply parser that is decoupled from the I/O layer. It is a stream
 parser designed for easy reusability, which can for instance be used in
 higher level language bindings for efficient reply parsing.
 .
 Hiredis only supports the binary-safe Redis protocol, so you can use it
 with any Redis version >= 1.2.0.
 .
 The library comes with multiple APIs. There is the synchronous API, the
 asynchronous API and the reply parsing API.

## hiredis 0.10.1

=== debian/changelog ===
hiredis (0.10.1-1) unstable; urgency=low

  * New upstream release 
  * Drop patches (no more needed)
    - build-dynamic-library-with-proper-name-and-symlinks
    - fix-build-of-example-and-test
    - fix-CFLAGS-and-LDFAGS-conditional-variables
  * Update use-proper-destdir patch
  * Disable tests temporarily
  * Do not install TODO anymore
  * Update *.symbols file
  * Install changelog
  * Bump debhelper compat level to 8
  * Rename libhiredis0 -> libhiredis0.10

 -- Alessandro Ghedini <al3xbio@gmail.com>  Wed, 29 Jun 2011 12:05:18 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: hiredis
 Priority: optional
 Maintainer: Alessandro Ghedini <al3xbio@gmail.com>
-Build-Depends: debhelper (>= 7), redis-server
+Build-Depends: debhelper (>= 8), redis-server
 Standards-Version: 3.9.2
 Section: libs
 Homepage: https://github.com/antirez/hiredis
@@ -11,7 +11,7 @@
 Package: libhiredis-dev
 Section: libdevel
 Architecture: any
-Depends: ${misc:Depends}, libhiredis0 (= ${binary:Version})
+Depends: ${misc:Depends}, libhiredis0.10 (= ${binary:Version})
 Description: Minimalistic C client library for Redis (development files)
  Hiredis is a minimalistic C client library for the Redis database. It is
  minimalistic because it just adds minimal support for the protocol, but
@@ -32,8 +32,10 @@
  .
  This package provides the development file for libhiredis.
 
-Package: libhiredis0
+Package: libhiredis0.10
 Architecture: any
+Replaces: libhiredis0
+Conflicts: libhiredis0
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Minimalistic C client library for Redis
  Hiredis is a minimalistic C client library for the Redis database. It is

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

%:
	dh $@

override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG.md

# Temporarily disable test, because they are failing on buildd
override_dh_auto_test:
	echo "Test disabled"

=== debian/watch ===
version=3

http://githubredir.debian.net/github/antirez/hiredis \/v(.*).tar.gz

## hiredis 0.11.0

=== debian/changelog ===
hiredis (0.11.0-4) unstable; urgency=medium

  * Symlinks for cmake 3.0 (closes: #758548)
  * Fix bad include path in hiredis.pc (closes: #739834)
  * Allow tests to run on kfreebsd
  * Update Vcs-Browser and Vcs-Git to fix vcs-field-not-canonical
  * Bump Standards-Version to 3.9.5 (no changes needed)

 -- Tom Lee <debian@tomlee.co>  Sun, 28 Sep 2014 14:08:37 -0700

hiredis (0.11.0-3) unstable; urgency=low

  * Fix incorrect --cflags & --libs in pkg-config file (closes: #717611)

 -- Tom Lee <debian@tomlee.co>  Sun, 11 Aug 2013 11:48:39 -0700

hiredis (0.11.0-2) unstable; urgency=low

  [ Alessandro Ghedini ]
  * Bump Standards-Version to 3.9.4 (no changes needed)

  [ Tom Lee ]
  * New maintainer (Closes: #690707)
  * Bump version in the pkg-config file
  * Update debian/watch to point to new upstream URL
  * Update debian/control to point to new upstream URL
  * Update debian/copyright to point to new upstream URL
  * Add pkg-config/cmake patch
  * libhiredis-dev.install no longer needs +x

 -- Tom Lee <debian@tomlee.co>  Sat, 10 Nov 2012 19:54:08 -0800

hiredis (0.11.0-1) unstable; urgency=low

  * New upstream release
  * Refresh patches
  * Add proper DEP3 headers to patches
  * Update symbols file
  * Fix typos in long descriptions
  * Remove not-needed Replaces/Conflicts

 -- Alessandro Ghedini <ghedo@debian.org>  Tue, 28 Aug 2012 14:35:20 +0200

hiredis (0.10.1-7) unstable; urgency=low

  * Email change: Alessandro Ghedini -> ghedo@debian.org
  * Support Multi-Arch
  * Add -dbg package
  * Always build depend on redis-server on linux

 -- Alessandro Ghedini <ghedo@debian.org>  Sun, 03 Jun 2012 14:39:59 +0200

hiredis (0.10.1-6) unstable; urgency=low

  * Do not run tests when redis-server is not available
  * Make sure to honour CPPFLAGS too

 -- Alessandro Ghedini <al3xbio@gmail.com>  Mon, 26 Mar 2012 20:38:39 +0200

hiredis (0.10.1-5) unstable; urgency=low

  * Update debian/copyright format as in Debian Policy 3.9.3
  * Bump Standards-Version to 3.9.3
  * Bump debhelper compat level to 9
  * Disable tests on mipsel
  * Lower-case first letter in description
  * Update upstream copyright years
  * Update packaging copyright years
  * Use GNU make's $(RM) instead of rm -f

 -- Alessandro Ghedini <al3xbio@gmail.com>  Fri, 23 Mar 2012 13:10:27 +0100

hiredis (0.10.1-4) unstable; urgency=low

  * Add -f flag to rm in dh_auto_test override (Closes: #650800)
  * Enable tests on sparc, since redis-server does not segfaults anymore 
    (see #647627)
  * Build depends on redis-server >= 2:2.4.2-2 on sparc to get segfault fix
  * Do not use -ggdb option (Closes: #657580)

 -- Alessandro Ghedini <al3xbio@gmail.com>  Fri, 27 Jan 2012 10:39:19 +0100

hiredis (0.10.1-3) unstable; urgency=low

  * Add disable-returns-error-when-the-port-is-not-open-test patch 
    (Closes: #634198)
  * Fix comma-separated-files-in-dep5-copyright
  * Provide functioning pkg-config and cmake files (Closes: 645674)
    - Fix and rename (libhiredis.pc -> hiredis.pc) pkg-config file
    - Add cmake package configuration file
    - Thanks to Black Jack for the fixes
  * Do not run tests on sparc
  * Rename debian/docs -> debian/libhiredis-dev.docs
  * Move libhiredis0.10 up in debian/control

 -- Alessandro Ghedini <al3xbio@gmail.com>  Tue, 18 Oct 2011 21:38:11 +0200

hiredis (0.10.1-2) unstable; urgency=low

  * Re-enable tests, start Redis with proper configuration before testing

 -- Alessandro Ghedini <al3xbio@gmail.com>  Thu, 30 Jun 2011 19:46:04 +0200

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,44 @@
 Source: hiredis
 Priority: optional
-Maintainer: Alessandro Ghedini <al3xbio@gmail.com>
-Build-Depends: debhelper (>= 8), redis-server
-Standards-Version: 3.9.2
+Maintainer: Tom Lee <debian@tomlee.co>
+Build-Depends: debhelper (>= 9),
+ redis-server (>= 2:2.4.2-2) [linux-any kfreebsd-any],
+ procps
+Standards-Version: 3.9.5
 Section: libs
-Homepage: https://github.com/antirez/hiredis
-Vcs-Git: git://git.debian.org/collab-maint/hiredis.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/hiredis.git;a=summary
+Homepage: https://github.com/redis/hiredis
+Vcs-Git: git://anonscm.debian.org/collab-maint/hiredis.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/hiredis.git/
+
+Package: libhiredis0.10
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Pre-Depends: ${misc:Pre-Depends}
+Multi-Arch: same
+Description: minimalistic C client library for Redis
+ Hiredis is a minimalistic C client library for the Redis database. It is
+ minimalistic because it just adds minimal support for the protocol, but
+ at the same time it uses an high level printf-alike API in order to make
+ it much higher level than otherwise suggested by its minimal code base
+ and the lack of explicit bindings for every Redis command.
+ .
+ Apart from supporting sending commands and receiving replies, it comes
+ with a reply parser that is decoupled from the I/O layer. It is a stream
+ parser designed for easy reusability, which can for instance be used in
+ higher level language bindings for efficient reply parsing.
+ .
+ Hiredis only supports the binary-safe Redis protocol, so you can use it
+ with any Redis version >= 1.2.0.
+ .
+ The library comes with multiple APIs. There is the synchronous API, the
+ asynchronous API and the reply parsing API.
 
 Package: libhiredis-dev
 Section: libdevel
 Architecture: any
 Depends: ${misc:Depends}, libhiredis0.10 (= ${binary:Version})
-Description: Minimalistic C client library for Redis (development files)
+Multi-Arch: same
+Description: minimalistic C client library for Redis (development files)
  Hiredis is a minimalistic C client library for the Redis database. It is
  minimalistic because it just adds minimal support for the protocol, but
  at the same time it uses an high level printf-alike API in order to make
@@ -30,14 +56,15 @@
  The library comes with multiple APIs. There is the synchronous API, the
  asynchronous API and the reply parsing API.
  .
- This package provides the development file for libhiredis.
+ This package provides the development files for hiredis.
 
-Package: libhiredis0.10
+Package: libhiredis-dbg
+Priority: extra
+Section: debug
 Architecture: any
-Replaces: libhiredis0
-Conflicts: libhiredis0
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Description: Minimalistic C client library for Redis
+Depends: ${misc:Depends}, libhiredis0.10 (= ${binary:Version})
+Multi-Arch: same
+Description: minimalistic C client library for Redis (debug)
  Hiredis is a minimalistic C client library for the Redis database. It is
  minimalistic because it just adds minimal support for the protocol, but
  at the same time it uses an high level printf-alike API in order to make
@@ -54,3 +81,5 @@
  .
  The library comes with multiple APIs. There is the synchronous API, the
  asynchronous API and the reply parsing API.
+ .
+ This package provides the debugging symbols for hiredis.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

REDIS   = $(shell [ -e /usr/bin/redis-server ] && echo 1 || echo 0)

CFLAGS  = $(shell dpkg-buildflags --get CFLAGS)
CFLAGS += $(shell dpkg-buildflags --get CPPFLAGS)

DEB_DESTDIR ?= $(CURDIR)/debian/tmp
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- DEBUG="-g" CFLAGS="$(CFLAGS)"

override_dh_auto_install:
	mkdir -p "$(DEB_DESTDIR)/usr/share/cmake-2.8/Modules"
	mkdir -p "$(DEB_DESTDIR)/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig"
	dh_auto_install -- LIBRARY_PATH="lib/$(DEB_HOST_MULTIARCH)" \
		CMAKE_MODULES_PATH="share/cmake-2.8/Modules" \
		PREFIX=/usr

override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG.md

override_dh_auto_test:
ifeq ($(REDIS), 1)
	make check
endif

override_dh_strip:
	dh_strip --dbg-package=libhiredis-dbg

## hiredis 0.13.1

=== Makefile ===
# Hiredis Makefile
# Copyright (C) 2010-2011 Salvatore Sanfilippo <antirez at gmail dot com>
# Copyright (C) 2010-2011 Pieter Noordhuis <pcnoordhuis at gmail dot com>
# This file is released under the BSD license, see the COPYING file

OBJ=net.o hiredis.o sds.o async.o read.o
EXAMPLES=hiredis-example hiredis-example-libevent hiredis-example-libev hiredis-example-glib
TESTS=hiredis-test
LIBNAME=libhiredis
PKGCONFNAME=hiredis.pc

HIREDIS_MAJOR=$(shell grep HIREDIS_MAJOR hiredis.h | awk '{print $$3}')
HIREDIS_MINOR=$(shell grep HIREDIS_MINOR hiredis.h | awk '{print $$3}')
HIREDIS_PATCH=$(shell grep HIREDIS_PATCH hiredis.h | awk '{print $$3}')

# Installation related variables and target
PREFIX?=/usr/local
INCLUDE_PATH?=include/hiredis
LIBRARY_PATH?=lib
PKGCONF_PATH?=pkgconfig
INSTALL_INCLUDE_PATH= $(DESTDIR)$(PREFIX)/$(INCLUDE_PATH)
INSTALL_LIBRARY_PATH= $(DESTDIR)$(PREFIX)/$(LIBRARY_PATH)
INSTALL_PKGCONF_PATH= $(INSTALL_LIBRARY_PATH)/$(PKGCONF_PATH)

# redis-server configuration used for testing
REDIS_PORT=56379
REDIS_SERVER=redis-server
define REDIS_TEST_CONFIG
	daemonize yes
	pidfile /tmp/hiredis-test-redis.pid
	port $(REDIS_PORT)
	bind 127.0.0.1
	unixsocket /tmp/hiredis-test-redis.sock
endef
export REDIS_TEST_CONFIG

# Fallback to gcc when $CC is not in $PATH.
CC:=$(shell sh -c 'type $(CC) >/dev/null 2>/dev/null && echo $(CC) || echo gcc')
OPTIMIZATION?=-O3
WARNINGS=-Wall -W -Wstrict-prototypes -Wwrite-strings
DEBUG?= -g -ggdb
REAL_CFLAGS=$(OPTIMIZATION) -fPIC $(CFLAGS) $(WARNINGS) $(DEBUG) $(ARCH)
REAL_LDFLAGS=$(LDFLAGS) $(ARCH)

DYLIBSUFFIX=so
STLIBSUFFIX=a
DYLIB_MINOR_NAME=$(LIBNAME).$(DYLIBSUFFIX).$(HIREDIS_MAJOR).$(HIREDIS_MINOR)
DYLIB_MAJOR_NAME=$(LIBNAME).$(DYLIBSUFFIX).$(HIREDIS_MAJOR)
DYLIBNAME=$(LIBNAME).$(DYLIBSUFFIX)
DYLIB_MAKE_CMD=$(CC) -shared -Wl,-soname,$(DYLIB_MINOR_NAME) -o $(DYLIBNAME) $(LDFLAGS)
STLIBNAME=$(LIBNAME).$(STLIBSUFFIX)
STLIB_MAKE_CMD=ar rcs $(STLIBNAME)

# Platform-specific overrides
uname_S := $(shell sh -c 'uname -s 2>/dev/null || echo not')
ifeq ($(uname_S),SunOS)
  REAL_LDFLAGS+= -ldl -lnsl -lsocket
  DYLIB_MAKE_CMD=$(CC) -G -o $(DYLIBNAME) -h $(DYLIB_MINOR_NAME) $(LDFLAGS)
  INSTALL= cp -r
endif
ifeq ($(uname_S),Darwin)
  DYLIBSUFFIX=dylib
  DYLIB_MINOR_NAME=$(LIBNAME).$(HIREDIS_MAJOR).$(HIREDIS_MINOR).$(DYLIBSUFFIX)
  DYLIB_MAJOR_NAME=$(LIBNAME).$(HIREDIS_MAJOR).$(DYLIBSUFFIX)
  DYLIB_MAKE_CMD=$(CC) -shared -Wl,-install_name,$(DYLIB_MINOR_NAME) -o $(DYLIBNAME) $(LDFLAGS)
endif

all: $(DYLIBNAME) $(STLIBNAME) hiredis-test $(PKGCONFNAME)

# Deps (use make dep to generate this)
async.o: async.c fmacros.h async.h hiredis.h read.h sds.h net.h dict.c dict.h
dict.o: dict.c fmacros.h dict.h
hiredis.o: hiredis.c fmacros.h hiredis.h read.h sds.h net.h
net.o: net.c fmacros.h net.h hiredis.h read.h sds.h
read.o: read.c fmacros.h read.h sds.h
sds.o: sds.c sds.h
test.o: test.c fmacros.h hiredis.h read.h sds.h

$(DYLIBNAME): $(OBJ)
	$(DYLIB_MAKE_CMD) $(OBJ)

$(STLIBNAME): $(OBJ)
	$(STLIB_MAKE_CMD) $(OBJ)

dynamic: $(DYLIBNAME)
static: $(STLIBNAME)

# Binaries:
hiredis-example-libevent: examples/example-libevent.c adapters/libevent.h $(STLIBNAME)
	$(CC) -o examples/$@ $(REAL_CFLAGS) $(REAL_LDFLAGS) -I. $< -levent $(STLIBNAME)

hiredis-example-libev: examples/example-libev.c adapters/libev.h $(STLIBNAME)
	$(CC) -o examples/$@ $(REAL_CFLAGS) $(REAL_LDFLAGS) -I. $< -lev $(STLIBNAME)

hiredis-example-glib: examples/example-glib.c adapters/glib.h $(STLIBNAME)
	$(CC) -o examples/$@ $(REAL_CFLAGS) $(REAL_LDFLAGS) $(shell pkg-config --cflags --libs glib-2.0) -I. $< $(STLIBNAME)

ifndef AE_DIR
hiredis-example-ae:
	@echo "Please specify AE_DIR (e.g. <redis repository>/src)"
	@false
else
hiredis-example-ae: examples/example-ae.c adapters/ae.h $(STLIBNAME)
	$(CC) -o examples/$@ $(REAL_CFLAGS) $(REAL_LDFLAGS) -I. -I$(AE_DIR) $< $(AE_DIR)/ae.o $(AE_DIR)/zmalloc.o $(AE_DIR)/../deps/jemalloc/lib/libjemalloc.a -pthread $(STLIBNAME)
endif

ifndef LIBUV_DIR
hiredis-example-libuv:
	@echo "Please specify LIBUV_DIR (e.g. ../libuv/)"
	@false
else
hiredis-example-libuv: examples/example-libuv.c adapters/libuv.h $(STLIBNAME)
	$(CC) -o examples/$@ $(REAL_CFLAGS) $(REAL_LDFLAGS) -I. -I$(LIBUV_DIR)/include $< $(LIBUV_DIR)/.libs/libuv.a -lpthread $(STLIBNAME)
endif

hiredis-example: examples/example.c $(STLIBNAME)
	$(CC) -o examples/$@ $(REAL_CFLAGS) $(REAL_LDFLAGS) -I. $< $(STLIBNAME)

examples: $(EXAMPLES)

hiredis-test: test.o $(STLIBNAME)

hiredis-%: %.o $(STLIBNAME)
	$(CC) $(REAL_CFLAGS) -o $@ $(REAL_LDFLAGS) $< $(STLIBNAME)

test: hiredis-test
	./hiredis-test

check: hiredis-test
	@echo "$$REDIS_TEST_CONFIG" | $(REDIS_SERVER) -
	$(PRE) ./hiredis-test -h 127.0.0.1 -p $(REDIS_PORT) -s /tmp/hiredis-test-redis.sock || \
			( kill `cat /tmp/hiredis-test-redis.pid` && false )
	kill `cat /tmp/hiredis-test-redis.pid`

.c.o:
	$(CC) -std=c99 -pedantic -c $(REAL_CFLAGS) $<

clean:
	rm -rf $(DYLIBNAME) $(STLIBNAME) $(TESTS) $(PKGCONFNAME) examples/hiredis-example* *.o *.gcda *.gcno *.gcov

dep:
	$(CC) -MM *.c

ifeq ($(uname_S),SunOS)
  INSTALL?= cp -r
endif

INSTALL?= cp -a

$(PKGCONFNAME): hiredis.h
	@echo "Generating $@ for pkgconfig..."
	@echo prefix=$(PREFIX) > $@
	@echo exec_prefix=\$${prefix} >> $@
	@echo libdir=$(PREFIX)/$(LIBRARY_PATH) >> $@
	@echo includedir=$(PREFIX)/$(INCLUDE_PATH) >> $@
	@echo >> $@
	@echo Name: hiredis >> $@
	@echo Description: Minimalistic C client library for Redis. >> $@
	@echo Version: $(HIREDIS_MAJOR).$(HIREDIS_MINOR).$(HIREDIS_PATCH) >> $@
	@echo Libs: -L\$${libdir} -lhiredis >> $@
	@echo Cflags: -I\$${includedir} -D_FILE_OFFSET_BITS=64 >> $@

install: $(DYLIBNAME) $(STLIBNAME) $(PKGCONFNAME)
	mkdir -p $(INSTALL_INCLUDE_PATH) $(INSTALL_LIBRARY_PATH)
	$(INSTALL) hiredis.h async.h read.h sds.h adapters $(INSTALL_INCLUDE_PATH)
	$(INSTALL) $(DYLIBNAME) $(INSTALL_LIBRARY_PATH)/$(DYLIB_MINOR_NAME)
	cd $(INSTALL_LIBRARY_PATH) && ln -sf $(DYLIB_MINOR_NAME) $(DYLIB_MAJOR_NAME)
	cd $(INSTALL_LIBRARY_PATH) && ln -sf $(DYLIB_MAJOR_NAME) $(DYLIBNAME)
	$(INSTALL) $(STLIBNAME) $(INSTALL_LIBRARY_PATH)
	mkdir -p $(INSTALL_PKGCONF_PATH)
	$(INSTALL) $(PKGCONFNAME) $(INSTALL_PKGCONF_PATH)

32bit:
	@echo ""
	@echo "WARNING: if this fails under Linux you probably need to install libc6-dev-i386"
	@echo ""
	$(MAKE) CFLAGS="-m32" LDFLAGS="-m32"

32bit-vars:
	$(eval CFLAGS=-m32)
	$(eval LDFLAGS=-m32)

gprof:
	$(MAKE) CFLAGS="-pg" LDFLAGS="-pg"

gcov:
	$(MAKE) CFLAGS="-fprofile-arcs -ftest-coverage" LDFLAGS="-fprofile-arcs"

coverage: gcov
	make check
	mkdir -p tmp/lcov
	lcov -d . -c -o tmp/lcov/hiredis.info
	genhtml --legend -o tmp/lcov/report tmp/lcov/hiredis.info

noopt:
	$(MAKE) OPTIMIZATION=""

.PHONY: all test check clean dep install 32bit gprof gcov noopt

=== debian/changelog ===
hiredis (0.13.1-2) unstable; urgency=medium

  * Upload to unstable

 -- Tom Lee <debian@tomlee.co>  Fri, 12 Jun 2015 08:46:56 -0700

hiredis (0.13.1-1) experimental; urgency=medium

  * Disable network test broken in pbuilder
    Thanks to Tobias Frost for the patch (closes: #770648)
  * Fix debian/watch
  * Imported Upstream version 0.13.1
  * Refresh patches
  * Bump Standards-Version to 3.9.6
  * Update symbols file
  * Remove support for cmake-2.8
  * SONAME change: libhiredis0.10 -> libhiredis0.13
  * Hack around upstream shared library naming scheme
  * Clear ARCH env var in override_dh_auto_build
  * Work around a race in 'make check'
  * Update .gitignore

 -- Tom Lee <debian@tomlee.co>  Thu, 07 May 2015 19:00:22 -0700

=== debian/rules ===
--- 
+++ 
@@ -13,13 +13,13 @@
 	dh $@
 
 override_dh_auto_build:
-	dh_auto_build -- DEBUG="-g" CFLAGS="$(CFLAGS)"
+	dh_auto_build -- DEBUG="-g" CFLAGS="$(CFLAGS)" ARCH=
 
 override_dh_auto_install:
-	mkdir -p "$(DEB_DESTDIR)/usr/share/cmake-2.8/Modules"
+	mkdir -p "$(DEB_DESTDIR)/usr/share/cmake-3.0/Modules"
 	mkdir -p "$(DEB_DESTDIR)/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig"
 	dh_auto_install -- LIBRARY_PATH="lib/$(DEB_HOST_MULTIARCH)" \
-		CMAKE_MODULES_PATH="share/cmake-2.8/Modules" \
+		CMAKE_MODULES_PATH="share/cmake-3.0/Modules" \
 		PREFIX=/usr
 
 override_dh_installchangelogs:

## hiredis 0.13.3

=== debian/changelog ===
hiredis (0.13.3-2) unstable; urgency=medium

  * Ignore /tags
  * Fix kfreebsd FTBFS (closes: #792404)
  * Fix potential race in "invalid timeout" tests
  * DEP-3 headers and forwarding patches uptsream

 -- Tom Lee <debian@tomlee.co>  Wed, 18 Nov 2015 00:47:58 -0800

hiredis (0.13.3-1) unstable; urgency=medium

  * Imported Upstream version 0.13.3
  * Refreshed patches for 0.13.3
  * Improved cmake support (find_package) (closes: #784768)
  * Remove some unnecessary cruft from debian/rules
  * Update .gitignore

 -- Tom Lee <debian@tomlee.co>  Fri, 06 Nov 2015 21:50:03 -0800

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,13 @@
 Build-Depends: debhelper (>= 9),
  redis-server (>= 2:2.4.2-2) [linux-any kfreebsd-any],
  procps
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Section: libs
 Homepage: https://github.com/redis/hiredis
 Vcs-Git: git://anonscm.debian.org/collab-maint/hiredis.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/hiredis.git/
 
-Package: libhiredis0.10
+Package: libhiredis0.13
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
@@ -36,7 +36,7 @@
 Package: libhiredis-dev
 Section: libdevel
 Architecture: any
-Depends: ${misc:Depends}, libhiredis0.10 (= ${binary:Version})
+Depends: ${misc:Depends}, libhiredis0.13 (= ${binary:Version})
 Multi-Arch: same
 Description: minimalistic C client library for Redis (development files)
  Hiredis is a minimalistic C client library for the Redis database. It is
@@ -62,7 +62,7 @@
 Priority: extra
 Section: debug
 Architecture: any
-Depends: ${misc:Depends}, libhiredis0.10 (= ${binary:Version})
+Depends: ${misc:Depends}, libhiredis0.13 (= ${binary:Version})
 Multi-Arch: same
 Description: minimalistic C client library for Redis (debug)
  Hiredis is a minimalistic C client library for the Redis database. It is

=== debian/rules ===
--- 
+++ 
@@ -16,10 +16,7 @@
 	dh_auto_build -- DEBUG="-g" CFLAGS="$(CFLAGS)" ARCH=
 
 override_dh_auto_install:
-	mkdir -p "$(DEB_DESTDIR)/usr/share/cmake-3.0/Modules"
-	mkdir -p "$(DEB_DESTDIR)/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig"
 	dh_auto_install -- LIBRARY_PATH="lib/$(DEB_HOST_MULTIARCH)" \
-		CMAKE_MODULES_PATH="share/cmake-3.0/Modules" \
 		PREFIX=/usr
 
 override_dh_installchangelogs:

=== debian/watch ===
version=3

https://github.com/redis/hiredis/releases \/redis\/hiredis\/archive\/v(.*).tar.gz

## hiredis 0.14.0

=== Makefile ===
--- 
+++ 
@@ -12,6 +12,7 @@
 HIREDIS_MAJOR=$(shell grep HIREDIS_MAJOR hiredis.h | awk '{print $$3}')
 HIREDIS_MINOR=$(shell grep HIREDIS_MINOR hiredis.h | awk '{print $$3}')
 HIREDIS_PATCH=$(shell grep HIREDIS_PATCH hiredis.h | awk '{print $$3}')
+HIREDIS_SONAME=$(shell grep HIREDIS_SONAME hiredis.h | awk '{print $$3}')
 
 # Installation related variables and target
 PREFIX?=/usr/local
@@ -35,16 +36,17 @@
 export REDIS_TEST_CONFIG
 
 # Fallback to gcc when $CC is not in $PATH.
-CC:=$(shell sh -c 'type $(CC) >/dev/null 2>/dev/null && echo $(CC) || echo gcc')
+CC:=$(shell sh -c 'type $${CC%% *} >/dev/null 2>/dev/null && echo $(CC) || echo gcc')
+CXX:=$(shell sh -c 'type $${CXX%% *} >/dev/null 2>/dev/null && echo $(CXX) || echo g++')
 OPTIMIZATION?=-O3
 WARNINGS=-Wall -W -Wstrict-prototypes -Wwrite-strings
-DEBUG?= -g -ggdb
-REAL_CFLAGS=$(OPTIMIZATION) -fPIC $(CFLAGS) $(WARNINGS) $(DEBUG) $(ARCH)
-REAL_LDFLAGS=$(LDFLAGS) $(ARCH)
+DEBUG_FLAGS?= -g -ggdb
+REAL_CFLAGS=$(OPTIMIZATION) -fPIC $(CFLAGS) $(WARNINGS) $(DEBUG_FLAGS)
+REAL_LDFLAGS=$(LDFLAGS)
 
 DYLIBSUFFIX=so
 STLIBSUFFIX=a
-DYLIB_MINOR_NAME=$(LIBNAME).$(DYLIBSUFFIX).$(HIREDIS_MAJOR).$(HIREDIS_MINOR)
+DYLIB_MINOR_NAME=$(LIBNAME).$(DYLIBSUFFIX).$(HIREDIS_SONAME)
 DYLIB_MAJOR_NAME=$(LIBNAME).$(DYLIBSUFFIX).$(HIREDIS_MAJOR)
 DYLIBNAME=$(LIBNAME).$(DYLIBSUFFIX)
 DYLIB_MAKE_CMD=$(CC) -shared -Wl,-soname,$(DYLIB_MINOR_NAME) -o $(DYLIBNAME) $(LDFLAGS)
@@ -56,13 +58,11 @@
 ifeq ($(uname_S),SunOS)
   REAL_LDFLAGS+= -ldl -lnsl -lsocket
   DYLIB_MAKE_CMD=$(CC) -G -o $(DYLIBNAME) -h $(DYLIB_MINOR_NAME) $(LDFLAGS)
-  INSTALL= cp -r
 endif
 ifeq ($(uname_S),Darwin)
   DYLIBSUFFIX=dylib
-  DYLIB_MINOR_NAME=$(LIBNAME).$(HIREDIS_MAJOR).$(HIREDIS_MINOR).$(DYLIBSUFFIX)
-  DYLIB_MAJOR_NAME=$(LIBNAME).$(HIREDIS_MAJOR).$(DYLIBSUFFIX)
-  DYLIB_MAKE_CMD=$(CC) -shared -Wl,-install_name,$(DYLIB_MINOR_NAME) -o $(DYLIBNAME) $(LDFLAGS)
+  DYLIB_MINOR_NAME=$(LIBNAME).$(HIREDIS_SONAME).$(DYLIBSUFFIX)
+  DYLIB_MAKE_CMD=$(CC) -dynamiclib -Wl,-install_name,$(PREFIX)/$(LIBRARY_PATH)/$(DYLIB_MINOR_NAME) -o $(DYLIBNAME) $(LDFLAGS)
 endif
 
 all: $(DYLIBNAME) $(STLIBNAME) hiredis-test $(PKGCONFNAME)
@@ -93,7 +93,13 @@
 	$(CC) -o examples/$@ $(REAL_CFLAGS) $(REAL_LDFLAGS) -I. $< -lev $(STLIBNAME)
 
 hiredis-example-glib: examples/example-glib.c adapters/glib.h $(STLIBNAME)
-	$(CC) -o examples/$@ $(REAL_CFLAGS) $(REAL_LDFLAGS) $(shell pkg-config --cflags --libs glib-2.0) -I. $< $(STLIBNAME)
+	$(CC) -o examples/$@ $(REAL_CFLAGS) $(REAL_LDFLAGS) -I. $< $(shell pkg-config --cflags --libs glib-2.0) $(STLIBNAME)
+
+hiredis-example-ivykis: examples/example-ivykis.c adapters/ivykis.h $(STLIBNAME)
+	$(CC) -o examples/$@ $(REAL_CFLAGS) $(REAL_LDFLAGS) -I. $< -livykis $(STLIBNAME)
+
+hiredis-example-macosx: examples/example-macosx.c adapters/macosx.h $(STLIBNAME)
+	$(CC) -o examples/$@ $(REAL_CFLAGS) $(REAL_LDFLAGS) -I. $< -framework CoreFoundation $(STLIBNAME)
 
 ifndef AE_DIR
 hiredis-example-ae:
@@ -110,7 +116,20 @@
 	@false
 else
 hiredis-example-libuv: examples/example-libuv.c adapters/libuv.h $(STLIBNAME)
-	$(CC) -o examples/$@ $(REAL_CFLAGS) $(REAL_LDFLAGS) -I. -I$(LIBUV_DIR)/include $< $(LIBUV_DIR)/.libs/libuv.a -lpthread $(STLIBNAME)
+	$(CC) -o examples/$@ $(REAL_CFLAGS) $(REAL_LDFLAGS) -I. -I$(LIBUV_DIR)/include $< $(LIBUV_DIR)/.libs/libuv.a -lpthread -lrt $(STLIBNAME)
+endif
+
+ifeq ($(and $(QT_MOC),$(QT_INCLUDE_DIR),$(QT_LIBRARY_DIR)),)
+hiredis-example-qt:
+	@echo "Please specify QT_MOC, QT_INCLUDE_DIR AND QT_LIBRARY_DIR"
+	@false
+else
+hiredis-example-qt: examples/example-qt.cpp adapters/qt.h $(STLIBNAME)
+	$(QT_MOC) adapters/qt.h -I. -I$(QT_INCLUDE_DIR) -I$(QT_INCLUDE_DIR)/QtCore | \
+	    $(CXX) -x c++ -o qt-adapter-moc.o -c - $(REAL_CFLAGS) -I. -I$(QT_INCLUDE_DIR) -I$(QT_INCLUDE_DIR)/QtCore
+	$(QT_MOC) examples/example-qt.h -I. -I$(QT_INCLUDE_DIR) -I$(QT_INCLUDE_DIR)/QtCore | \
+	    $(CXX) -x c++ -o qt-example-moc.o -c - $(REAL_CFLAGS) -I. -I$(QT_INCLUDE_DIR) -I$(QT_INCLUDE_DIR)/QtCore
+	$(CXX) -o examples/$@ $(REAL_CFLAGS) $(REAL_LDFLAGS) -I. -I$(QT_INCLUDE_DIR) -I$(QT_INCLUDE_DIR)/QtCore -L$(QT_LIBRARY_DIR) qt-adapter-moc.o qt-example-moc.o $< -pthread $(STLIBNAME) -lQtCore
 endif
 
 hiredis-example: examples/example.c $(STLIBNAME)
@@ -141,11 +160,7 @@
 dep:
 	$(CC) -MM *.c
 
-ifeq ($(uname_S),SunOS)
-  INSTALL?= cp -r
-endif
-
-INSTALL?= cp -a
+INSTALL?= cp -pPR
 
 $(PKGCONFNAME): hiredis.h
 	@echo "Generating $@ for pkgconfig..."
@@ -161,11 +176,11 @@
 	@echo Cflags: -I\$${includedir} -D_FILE_OFFSET_BITS=64 >> $@
 
 install: $(DYLIBNAME) $(STLIBNAME) $(PKGCONFNAME)
-	mkdir -p $(INSTALL_INCLUDE_PATH) $(INSTALL_LIBRARY_PATH)
-	$(INSTALL) hiredis.h async.h read.h sds.h adapters $(INSTALL_INCLUDE_PATH)
+	mkdir -p $(INSTALL_INCLUDE_PATH) $(INSTALL_INCLUDE_PATH)/adapters $(INSTALL_LIBRARY_PATH)
+	$(INSTALL) hiredis.h async.h read.h sds.h $(INSTALL_INCLUDE_PATH)
+	$(INSTALL) adapters/*.h $(INSTALL_INCLUDE_PATH)/adapters
 	$(INSTALL) $(DYLIBNAME) $(INSTALL_LIBRARY_PATH)/$(DYLIB_MINOR_NAME)
-	cd $(INSTALL_LIBRARY_PATH) && ln -sf $(DYLIB_MINOR_NAME) $(DYLIB_MAJOR_NAME)
-	cd $(INSTALL_LIBRARY_PATH) && ln -sf $(DYLIB_MAJOR_NAME) $(DYLIBNAME)
+	cd $(INSTALL_LIBRARY_PATH) && ln -sf $(DYLIB_MINOR_NAME) $(DYLIBNAME)
 	$(INSTALL) $(STLIBNAME) $(INSTALL_LIBRARY_PATH)
 	mkdir -p $(INSTALL_PKGCONF_PATH)
 	$(INSTALL) $(PKGCONFNAME) $(INSTALL_PKGCONF_PATH)
@@ -195,4 +210,4 @@
 noopt:
 	$(MAKE) OPTIMIZATION=""
 
-.PHONY: all test check clean dep install 32bit gprof gcov noopt
+.PHONY: all test check clean dep install 32bit 32bit-vars gprof gcov noopt

=== debian/changelog ===
hiredis (0.14.0-1) unstable; urgency=medium

  * New upstream version 0.14.0 (closes: #907259)
  * Updated patches for 0.14.0
  * Update Vcs-Git
  * Use automatic debug packages
  * Bump Standards-Version to 4.2.1
  * Update Vcs-Browser
  * Add DEP3 header to 07_cmake.patch
  * Add DEB_BUILD_OPTIONS=nocheck support
  * hardening=+all
  * Add CPPFLAGS to compile command line
  * Regenerate symbols file
  * Add a simple functional test
  * Use https for copyright format URL
  * Eliminate some unnecessary whitespace from debian/control
  * Bump to compat level 11
  * Clean up debian/rules a bit
  * Do not install redis-server and procps for nocheck builds

 -- Tom Lee <debian@tomlee.co>  Fri, 28 Sep 2018 14:18:32 -0700

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,16 @@
 Source: hiredis
 Priority: optional
 Maintainer: Tom Lee <debian@tomlee.co>
-Build-Depends: debhelper (>= 9),
- redis-server (>= 2:2.4.2-2) [linux-any kfreebsd-any],
- procps
-Standards-Version: 3.9.6
+Build-Depends: debhelper (>= 11),
+ redis-server (>= 2:2.4.2-2) [linux-any kfreebsd-any] <!nocheck>,
+ procps <!nocheck>
+Standards-Version: 4.2.1
 Section: libs
 Homepage: https://github.com/redis/hiredis
-Vcs-Git: git://anonscm.debian.org/collab-maint/hiredis.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/hiredis.git/
+Vcs-Git: https://github.com/thomaslee/hiredis-capnproto
+Vcs-Browser: https://github.com/thomaslee/hiredis-capnproto
 
-Package: libhiredis0.13
+Package: libhiredis0.14
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
@@ -36,7 +36,7 @@
 Package: libhiredis-dev
 Section: libdevel
 Architecture: any
-Depends: ${misc:Depends}, libhiredis0.13 (= ${binary:Version})
+Depends: ${misc:Depends}, libhiredis0.14 (= ${binary:Version})
 Multi-Arch: same
 Description: minimalistic C client library for Redis (development files)
  Hiredis is a minimalistic C client library for the Redis database. It is
@@ -57,29 +57,3 @@
  asynchronous API and the reply parsing API.
  .
  This package provides the development files for hiredis.
-
-Package: libhiredis-dbg
-Priority: extra
-Section: debug
-Architecture: any
-Depends: ${misc:Depends}, libhiredis0.13 (= ${binary:Version})
-Multi-Arch: same
-Description: minimalistic C client library for Redis (debug)
- Hiredis is a minimalistic C client library for the Redis database. It is
- minimalistic because it just adds minimal support for the protocol, but
- at the same time it uses an high level printf-alike API in order to make
- it much higher level than otherwise suggested by its minimal code base
- and the lack of explicit bindings for every Redis command.
- .
- Apart from supporting sending commands and receiving replies, it comes
- with a reply parser that is decoupled from the I/O layer. It is a stream
- parser designed for easy reusability, which can for instance be used in
- higher level language bindings for efficient reply parsing.
- .
- Hiredis only supports the binary-safe Redis protocol, so you can use it
- with any Redis version >= 1.2.0.
- .
- The library comes with multiple APIs. There is the synchronous API, the
- asynchronous API and the reply parsing API.
- .
- This package provides the debugging symbols for hiredis.

=== debian/rules ===
#!/usr/bin/make -f

REDIS   = $(shell [ -e /usr/bin/redis-server ] && echo 1 || echo 0)

export DEB_BUILD_MAINT_OPTIONS=hardening=+all
DPKG_EXPORT_BUILDFLAGS=1
include /usr/share/dpkg/buildflags.mk

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- DEBUG="-g" ARCH=

override_dh_auto_install:
	dh_auto_install -- LIBRARY_PATH="lib/$(DEB_HOST_MULTIARCH)" \
		PREFIX=/usr

override_dh_fixperms:
	dh_fixperms
	chmod 644 debian/libhiredis-dev/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/*.pc
	chmod 644 debian/libhiredis-dev/usr/lib/$(DEB_HOST_MULTIARCH)/cmake/Hiredis/*.cmake

override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG.md

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
ifeq ($(REDIS), 1)
	make check
endif
endif

override_dh_strip:
	dh_strip --dbgsym-migration='libhiredis-dbg (<< 0.14.0-1~)'

=== debian/tests/control ===
Tests: trivial-build-test
Depends: @, gcc, pkg-config

## hiredis 0.14.1

=== debian/changelog ===
hiredis (0.14.1-2) unstable; urgency=medium

  * CVE-2021-32765: Prevent an integer overflow vulnerability when parsing
    'multi-bulk' replies.
  * Bump Standards-Version to 4.6.0.
  * Bump debhelper compatibility level to 13.

 -- Chris Lamb <lamby@debian.org>  Wed, 06 Oct 2021 15:14:29 +0100

hiredis (0.14.1-1) unstable; urgency=medium

  * New upstream release.
  * Drop debian/patches/CVE-2020-7105.patch; applied upstream.
  * Refresh all remaining patches.
  * Update symbols.

 -- Chris Lamb <lamby@debian.org>  Wed, 25 Mar 2020 14:05:27 +0000

hiredis (0.14.0-6) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Rely on pre-initialised dpkg-architecture variables.

 -- Chris Lamb <lamby@debian.org>  Fri, 07 Feb 2020 22:50:36 +0000

hiredis (0.14.0-5) unstable; urgency=medium

  * CVE-2020-7105: Prevent a large number of NULL pointer redeferences due to
    unchecked return values from malloc (etc.). (Closes: #949995)
  * Bump Standards-Version to 4.5.0.

 -- Chris Lamb <lamby@debian.org>  Wed, 29 Jan 2020 12:55:57 +0100

hiredis (0.14.0-4) unstable; urgency=medium

  * Drop call to --dbgsym-migration as the version is now satisfiable in the
    current stable release.
  * Drop versioned Build-Dependency on redis-server for version uploaded
    in 2011.
  * Add a gbp.conf and gitlab-ci.yml.
  * Specify "Rules-Requires-Root: no".
  * Bump Standards-Version to 4.4.1.
  * Bump debhelper compatibility level to 12.

 -- Chris Lamb <lamby@debian.org>  Mon, 28 Oct 2019 21:24:02 +0000

hiredis (0.14.0-3) unstable; urgency=medium

  * Adopt package. (See #911732)
  * Update Vcs-Browser and Vcs-Browser.
  * wrap-and-sort -sa.
  * Allow test failures on mipsel64.
  * Move to debhelper-compat virtual package and remove debian/compat.
  * Run gbp pq import && gbp export to make subsequent changes a no-op.
  * debian/libhiredis0.14.symbols: Add a Build-Depends-Package field.

 -- Chris Lamb <lamby@debian.org>  Sun, 04 Nov 2018 23:14:09 +0000

hiredis (0.14.0-2) unstable; urgency=medium

  * Fix silly copy/paste error in Vcs-Git/Vcs-Browser
  * Fix autopkgtest dependencies
  * Whitespace fixup in changelogs
  * Restore lost NMU changelog entry

 -- Tom Lee <debian@tomlee.co>  Tue, 02 Oct 2018 23:24:57 -0700

hiredis (0.13.3-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop -dbg package in favour of -dbgsym package.

 -- Ondřej Surý <ondrej@debian.org>  Sun, 14 Jan 2018 07:14:08 +0000

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,24 @@
 Source: hiredis
 Priority: optional
-Maintainer: Tom Lee <debian@tomlee.co>
-Build-Depends: debhelper (>= 11),
- redis-server (>= 2:2.4.2-2) [linux-any kfreebsd-any] <!nocheck>,
- procps <!nocheck>
-Standards-Version: 4.2.1
+Maintainer: Chris Lamb <lamby@debian.org>
+Build-Depends:
+ debhelper-compat (= 13),
+ procps <!nocheck>,
+ redis-server [linux-any kfreebsd-any] <!nocheck>,
+Standards-Version: 4.6.0
 Section: libs
 Homepage: https://github.com/redis/hiredis
-Vcs-Git: https://github.com/thomaslee/hiredis-capnproto
-Vcs-Browser: https://github.com/thomaslee/hiredis-capnproto
+Vcs-Git: https://salsa.debian.org/lamby/pkg-hiredis.git
+Vcs-Browser: https://salsa.debian.org/lamby/pkg-hiredis
+Rules-Requires-Root: no
 
 Package: libhiredis0.14
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Pre-Depends: ${misc:Pre-Depends}
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
+Pre-Depends:
+ ${misc:Pre-Depends},
 Multi-Arch: same
 Description: minimalistic C client library for Redis
  Hiredis is a minimalistic C client library for the Redis database. It is
@@ -36,7 +41,9 @@
 Package: libhiredis-dev
 Section: libdevel
 Architecture: any
-Depends: ${misc:Depends}, libhiredis0.14 (= ${binary:Version})
+Depends:
+ libhiredis0.14 (= ${binary:Version}),
+ ${misc:Depends},
 Multi-Arch: same
 Description: minimalistic C client library for Redis (development files)
  Hiredis is a minimalistic C client library for the Redis database. It is

=== debian/tests/control ===
Tests: trivial-build-test
Depends: @, gcc, pkg-config, libc-dev

## hiredis 1.2.0

=== debian/changelog ===
hiredis (1.2.0-6) unstable; urgency=medium

  * Temporarily allow timeout-related tests to fail.

 -- Chris Lamb <lamby@debian.org>  Sat, 06 Jan 2024 16:19:39 +0000

hiredis (1.2.0-5) unstable; urgency=medium

  * Upload new version to unstable. (Closes: #1057975)
  * Update gbp.conf now that this is the unstable branch.

 -- Chris Lamb <lamby@debian.org>  Thu, 04 Jan 2024 10:56:54 +0000

hiredis (1.2.0-4) experimental; urgency=medium

  * Allow crossbuilding to fail, but still run the tests.
  * Also clean dump.rdb. (Re: #1047475)

 -- Chris Lamb <lamby@debian.org>  Wed, 23 Aug 2023 09:16:12 -0700

hiredis (1.2.0-3) experimental; urgency=medium

  * Add hiredis_ssl.pc to debian/clean. (Closes: #1047475)

 -- Chris Lamb <lamby@debian.org>  Tue, 22 Aug 2023 13:13:09 -0700

hiredis (1.2.0-2) experimental; urgency=medium

  * Rename package to match new SONAME, etc.

 -- Chris Lamb <lamby@debian.org>  Sun, 16 Jul 2023 10:01:03 +0100

hiredis (1.2.0-1) experimental; urgency=medium

  * New upstream release.
  * Update patches.

 -- Chris Lamb <lamby@debian.org>  Sat, 15 Jul 2023 17:03:10 +0100

hiredis (1.1.0~rc1-1) experimental; urgency=medium

  * New upstream release.
    - Refresh 07_cmake.patch
    - Refresh 02_disable-failing-list.patch
  * Update renamed debian-watch-does-not-check-openpgp-signature tag.
  * Update symbols.

 -- Chris Lamb <lamby@debian.org>  Tue, 15 Nov 2022 12:27:46 +0000

hiredis (1.0.2-2) experimental; urgency=medium

  * Disable a test that fails under Redis 7.x. (Closes: #1014351)
  * Add a Build-Depends-Package field for libhiredis_ssl.so.1.0.0.
  * Bump Standards-Version to 4.6.1.
  * Update debian/gitlab-ci.yml.
  * Update debian/watch.
  * Update debian/copyright.

 -- Chris Lamb <lamby@debian.org>  Thu, 07 Jul 2022 16:43:22 +0100

hiredis (1.0.2-1) experimental; urgency=medium

  * New upstream release.
  * Refresh patches.

 -- Chris Lamb <lamby@debian.org>  Sat, 09 Oct 2021 08:51:11 +0100

hiredis (1.0.0-3) experimental; urgency=medium

  * CVE-2021-32765: Prevent an integer overflow vulnerability when parsing
    'multi-bulk' replies.
  * Refresh patches
  * Bump Standards-Version to 4.6.0.

 -- Chris Lamb <lamby@debian.org>  Wed, 06 Oct 2021 14:58:12 +0100

hiredis (1.0.0-2) experimental; urgency=medium

  * Build with SSL/TLS support. (Closes: #987114)
  * Use /usr/share/dpkg/default.mk over individual 'include' lines.
  * Use execute_after_dh_fixperms over override_dh_fixperms with explicit
    dh_fixperms call.
  * Bump Standards-Version to 4.5.1.
  * Apply wrap-and-sort -sa.

 -- Chris Lamb <lamby@debian.org>  Sun, 18 Apr 2021 10:48:28 +0100

hiredis (1.0.0-1) experimental; urgency=medium

  * New upstream release, bumping SONAME.
  * Update debian/gbp.conf for experimental upload.
  * Update debian/watch for -rc releases.

 -- Chris Lamb <lamby@debian.org>  Mon, 03 Aug 2020 23:35:12 +0100

hiredis (0.14.1-4) unstable; urgency=medium

  [ Chris Lamb ]
  * Clean up dump.rdb after build. (Closes: #1047475)
  * Bump Standards-Version to 4.6.2.

  [ Debian Janitor ]
  * Update renamed lintian tag names in lintian overrides.
  * Update standards version to 4.6.1, no changes needed.

 -- Chris Lamb <lamby@debian.org>  Thu, 24 Aug 2023 10:42:29 -0700

hiredis (0.14.1-3) unstable; urgency=medium

  * Update test for Redis 7.x. (Closes: #1013615)
  * Update debian/gitlab-ci.yml.
  * Update debian/watch.

 -- Chris Lamb <lamby@debian.org>  Mon, 27 Jun 2022 11:58:00 +0100

=== debian/control ===
--- 
+++ 
@@ -3,16 +3,17 @@
 Maintainer: Chris Lamb <lamby@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
+ libssl-dev,
  procps <!nocheck>,
  redis-server [linux-any kfreebsd-any] <!nocheck>,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Section: libs
 Homepage: https://github.com/redis/hiredis
 Vcs-Git: https://salsa.debian.org/lamby/pkg-hiredis.git
 Vcs-Browser: https://salsa.debian.org/lamby/pkg-hiredis
 Rules-Requires-Root: no
 
-Package: libhiredis0.14
+Package: libhiredis1.1.0
 Architecture: any
 Depends:
  ${misc:Depends},
@@ -42,7 +43,7 @@
 Section: libdevel
 Architecture: any
 Depends:
- libhiredis0.14 (= ${binary:Version}),
+ libhiredis1.1.0 (= ${binary:Version}),
  ${misc:Depends},
 Multi-Arch: same
 Description: minimalistic C client library for Redis (development files)

=== debian/tests/control ===
Tests: trivial-build-test
Depends:
 gcc,
 libc-dev,
 pkg-config,
 @,

=== debian/watch ===
version=4
https://github.com/redis/hiredis/tags (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@
